Name:           simple-scan
Version:        44.0
Release:        1
Summary:        Simple scanning utility

License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/%{name}
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

BuildRequires:  meson sane-backends-devel gettext itstool
BuildRequires:  libappstream-glib desktop-file-utils vala
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libwebpmux)
BuildRequires:  pkgconfig(packagekit-glib2) >= 1.1.5
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libhandy-1)

Requires:       xdg-utils

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-man --with-gnome

%check
#appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml
#desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SimpleScan.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SimpleScan-symbolic.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml

%changelog
* Tue Nov 21 2023 lwg <liweiganga@uniontech.com> - 44.0-1
- update to version 44.0

* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 42.5-1
- Update to 42.5

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.1-1
- Update to 42.1

* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com>- 42.0-1
- Update to 42.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.5-1
- Package init with  3.38.5
